%define anolis_release 1

# We do not build tools by default in anolis 23, as it will introduce
# too many dependencies
%bcond_with tools
Name:           chafa
Version:        1.12.4
Release:        %{anolis_release}%{?dist}
%global sum     Image-to-text converter for terminal
Summary:        %{sum}
License:        LGPLv3+
URL:            https://hpjansson.org/chafa/
Source0:        https://github.com/hpjansson/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  pkgconfig(glib-2.0) >= 2.10
BuildRequires:  make
%if %{with tools}
BuildRequires:  pkgconfig(MagickWand) >= 6
BuildRequires:  pkgconfig(freetype2) >= 2.0.0
BuildRequires:  xsltproc
%endif

%description
Chafa is a command-line utility that converts all kinds of images, including
animated image formats like GIFs, into ANSI/Unicode character output that can
be displayed in a terminal.

It is highly configurable, with support for alpha transparency and multiple
color modes and color spaces, combining a range of Unicode characters for
optimal output.


%package libs
Summary:        %{sum} (library)

# Version in libnsgif/README-chafa
Provides:       bundled(libnsgif) = 0.2.1^chafa
# Version in lodepng/lodepng.h
Provides:       bundled(lodepng) = 20220109

%description libs
Shared library for %{name}.

%package devel
Summary:        %{sum} (development files)
Requires:       %{name}-libs = %{version}-%{release}

%description devel
Development files for %{name}, such as headers.


%package doc
Summary:        %{sum} (documentation)
Buildarch:      noarch
Recommends:     %{name}-devel = %{version}

%description doc
Documentation for %{name}, such as headers.

%prep
%autosetup

%build
%configure \
        --disable-rpath --disable-static \
        --without-jpeg --without-svg \
        --without-tiff --without-webp \
%if %{with tools}
        --with-tools --enable-man \
%else
        --without-tools --disable-man \
%endif
%nil
%make_build

%install
%make_install

%if %{with tools}
%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%endif

%files libs
%license COPYING.LESSER
%{_libdir}/lib%{name}.so.*

%files devel
%license COPYING.LESSER
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_libdir}/%{name}/include/chafaconfig.h

%files doc
%doc AUTHORS README* NEWS
%license COPYING.LESSER
%doc %{_datadir}/gtk-doc/html/%{name}

%changelog
* Mon Feb 13 2023 Funda Wang <fundawang@yeah.net> - 1.12.4-1
- Import package for anolis 23
